#[derive(Debug, thiserror::Error)]
pub enum Error {
    #[error("no tree in commit")]
    NoTreeInCommit(String),

    #[error("no .git-next.toml file found in repo")]
    FileNotFound,

    #[error("find reference: {0}")]
    FindReference(String),

    #[error("find object: {0}")]
    FindObject(String),

    #[error("Non-UTF-8 in blob: {0}")]
    NonUtf8Blob(String),

    #[error("try id")]
    TryId,
}
