//
use derive_more::Display;
use git2::Oid;

use crate::git::{commit::Sha, Commit};
use crate::prelude::*;

newtype!(GitRef, String, Display, "A git reference to a git commit.");
impl From<Commit> for GitRef {
    fn from(value: Commit) -> Self {
        Self(s!(value.sha()))
    }
}
impl From<Sha> for GitRef {
    fn from(value: Sha) -> Self {
        Self(s!(value))
    }
}
impl From<Oid> for GitRef {
    fn from(value: Oid) -> Self {
        Self(value.to_string())
    }
}
