use std::sync::PoisonError;

use crate::prelude::*;

pub fn as_git2_lock_error<T>() -> impl FnOnce(PoisonError<T>) -> Error {
    |_| err!("git2: failed to acquire repository lock")
}

pub fn as_git2_open_error() -> impl FnOnce(git2::Error) -> Error {
    move |error| err!("git2: open: {}", error.message())
}
