use derive_more::Display;
use kx_utils::newtype;

newtype!(
    GitUrl,
    String,
    Display,
    "A URL with support for specialized git related capabilities"
);

mod core_git_file_errors {
    #![cfg(not(tarpaulin_include))]

    use crate::prelude::*;

    // third-party library errors
    use crate::core::git::file::Error;

    impl From<std::string::FromUtf8Error> for Error {
        fn from(value: std::string::FromUtf8Error) -> Self {
            Self::NonUtf8Blob(s!(value))
        }
    }
}
